/ lang / print
PRINT
Syntax

    PRINT [ # hStream , ] Expression [ { ; | ;; | , } Expression ... ] [ { ; | ;; | , }  ]

Prints expressions to the stream hStream.

If hStream is not specified, then the standard output is used. The standard output can be redirected by the OUTPUT TO statement.

The expressions are converted to strings by the Str$ function.

- If there is no semi-colon nor comma after the last expression, an end-of-line is printed after the last expression.

The end-of-line delimiter can be defined with the Stream.EndOfLine property.

- If the semi-colon is doubled, then a space character is printed between the expressions.
- If a comma is used instead of a semi-colon, then a tab character (ASCII code 9) is printed to separate the expressions.

### See also

Stream & Input/Output functions Stream.EndOfLine